Search documentation of jhn_stdlib

# jhn_hash (jhn_stdlib v5.10.3)

View Source

A few checksum algorithms, CRC32-C and xxHash-32.

# Summary

## Functions

crc32c(Data)

Generate a CRC32-C checksum from iodata.

xxh32(Data)

Generate a xxH32 checksum from iodata with Seed 0.

xxh32(Data, Seed)

Generate a xxH32 checksum from iodata using Seed.

# Functions

# crc32c(Data)

    -spec crc32c(iodata()) -> non_neg_integer().

Generate a CRC32-C checksum from iodata.

# xxh32(Data)

    -spec xxh32(iodata()) -> non_neg_integer().

Generate a xxH32 checksum from iodata with Seed 0.

# xxh32(Data, Seed)

    -spec xxh32(iodata(), non_neg_integer()) -> non_neg_integer().

Generate a xxH32 checksum from iodata using Seed.